Loading...
Searching...
No Matches
gtsam::Scatter Class Reference

## Detailed Description

Scatter is an intermediate data structure used when building a HessianFactor incrementally, to get the keys in the right order.

In spirit, it is a map from global variable indices to slot indices in the union of involved variables. We also include the dimensionality of the variable.

Inheritance diagram for gtsam::Scatter:

## Public Member Functions

GTSAM_EXPORT | Scatter ()
| Default Constructor.
GTSAM_EXPORT | Scatter (const GaussianFactorGraph &gfg)
| Construct from gaussian factor graph, without ordering.
GTSAM_EXPORT | Scatter (const GaussianFactorGraph &gfg, const Ordering &ordering)
| Construct from gaussian factor graph, with (partial or complete) ordering.
GTSAM_EXPORT void | add (Key key, size_t dim)
| Add a key/dim pair.

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/Scatter.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/Scatter.cpp